
.. index::
   pair: Ruby ; Definition

.. _ruby_definition:

=====================
Ruby definition
=====================

.. contents::
   :depth: 3

github ruby definition
======================

.. seealso::

   - https://github.com/ruby/ruby/blob/trunk/README.md

.. include:: README.rst

Wikipedia definition
=====================

.. seealso::

   - https://en.wikipedia.org/wiki/Ruby_(programming_language)

**Ruby** is a dynamic, interpreted, reflective, object-oriented, general-purpose
programming language.

It was designed and developed in the mid-1990s by Yukihiro "Matz" Matsumoto
in Japan.

According to the creator, Ruby was influenced by Perl, Smalltalk, Eiffel, Ada,
and Lisp.
It supports multiple programming paradigms, including functional, object-oriented,
and imperative. It also has a dynamic type system and automatic memory management.
